// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

// TODO: reference additional headers your program requires here

#include <tchar.h>
#include <windows.h>
#include <iostream>

using namespace std;

#define RUS_LANG
#ifdef RUS_LANG
	#define UNEXPECT_ERR_	_T(" ")
	#define UNEXPECT_ERR	_T("    ")
	#define UNEXPECT_ERR_FL	_T("  %s   %s   ")
	#define ERR_MSG_FRM		_T("  %s   %d: %s")
	#define ERR_MSG_FRM_FL	_T("  %s,   %s   %d: %s")
	#define ERR_NOT_DBF_FRM	_T(" %s   Visual Foxpro ")
	#define ERR_CP_NUMBER	_T("    <CodePage>")
	#define ERR_CAPTION		_T(":")
	#define INFO_CAPTION	_T(":")
	#define USAGE			_T(": ")
	#define ARG_DEFAULT		_T("  : ")
	#define ARG_DFLT_1		_T("   <\"FullPath\"> -  ")
	#define ARG_EXAMP		_T(" : ")
#else
	#define UNEXPECT_ERR_	_T("Unexpected error")
	#define UNEXPECT_ERR	_T("Unexpected error in function ")
	#define UNEXPECT_ERR_FL	_T("For file %s in function %s ocurred unexpected error")
	#define ERR_MSG_FRM_FL	_T("For file %s, in function %s ocurred error %d: %s")
	#define ERR_MSG_FRM		_T("In function %s ocurred error %d: %s")
	#define ERR_NOT_DBF_FRM	_T("File %s is not Visual Foxpro table")
	#define ERR_CP_NUMBER	_T("Not correct <CodePage> as parameter value")
	#define ERR_CAPTION		_T("Error:")
	#define INFO_CAPTION	_T("Information:")
	#define USAGE			_T("Usage: ")
	#define ARG_DEFAULT		_T("Default args: ")
	#define ARG_DFLT_1		_T(" <\"FullPath\"> - current directory")
	#define ARG_EXAMP		_T("Example to call: ")
#endif

#define USAGE_STR			_T(">CpDbfChange.exe [[{/|-}d] <\"FullPath\">] [[{/|-}c] <CodePage>] | {/|-}h")
#define ARG_EXAMP_1			_T(">CpDbfChange.exe /d \"C:\\Documents and Settings\\All Users\\Data\" /c 1251")
#define ARG_DFLT_2			_T("   <CodePage>   - 866")

#define SIZE_FILE_HEADER	32
#define LIST_FILE_EXTS		_T("DBF|SCX|VCX|FRX|LBX|MNX|DBC|PJX")
#define POS_CP_IN_HEADER	29L

#define INITIAL_CP			866
#define USE_CONSOLE_MSG		true
#define ERR_NUMBER_FILE		1
#define ERR_NUMBER_FATAL	2

void ShowUsage(bool bConsoleMsg);
void GetErrorMsg(LPCTSTR lpszFunction, DWORD dwErr, LPTSTR lpszMsg); 
void GetErrorMsgEx(LPCTSTR lpszFile, LPCTSTR lpszFunction, DWORD dwErr, LPTSTR lpszMsg); 

